### Method

# Gimp Image export_path_to_string

since: 2.6

#### Declaration [src]

    gchar*
    gimp_image_export_path_to_string (
      GimpImage* image,
      GimpPath* path
    )

#### Description [src]

Save a path as an SVG string.

This procedure works like `gimp_image_export_path_to_file()` but creates a string rather than a file. The string is NULL-terminated and holds a complete XML document. Pass `NULL` as the ‘path’ argument to export all paths in the image.

Available since: 2.6

#### Parameters

`path`

  Type: `GimpPath`

  The path object to export, or `NULL` for all in the image.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

         A string whose contents are a complete SVG document.
         The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.